=== debian/changelog ===
allegro4.4 (2:4.4.3.1-5) unstable; urgency=medium

  * Upgrade to Standards-Version 4.7.0 (No changes required)
  * Acknowledge Non-maintainer upload (Closes: #1061990)
  * Fix lintian warning mismatch-override package-name-doesnt-match-override
  * Build-depend on pkgconf instead of pkg-config

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 07 May 2024 13:51:36 +0200

allegro4.4 (2:4.4.3.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061990

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 00:43:19 +0000

allegro4.4 (2:4.4.3.1-4) unstable; urgency=medium

  * Add a clean dh target to remove CHANGES - fixes building after a
    successful build (Closes: #1043942)
  * Build-dep on libgl-dev instead of libgl1-mesa-dev - Fixes lintian
    warning build-depends-on-obsolete-package
  * Fix watch file
  * Add Upstream-Contact to debian/copyright
  * Upgrade Standards Version to 4.6.2 (No changes required)

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 28 Aug 2023 15:02:32 +0200

allegro4.4 (2:4.4.3.1-3) unstable; urgency=medium

  * Remove dependency on install-info (Closes: #1013454)
  * Add override for source-is-missing for allegrogl documentation
  * Upgrade Standards Version to 4.6.1 (No changes required)

 -- Andreas Rönnquist <gusnan@debian.org>  Thu, 14 Jul 2022 16:42:22 +0200

allegro4.4 (2:4.4.3.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Rely on pre-initialized dpkg-architecture variables.
  * Fix day-of-week for changelog entry 2:4.0.3-1.
  * Update standards version to 4.5.0, no changes needed.

  [ Andreas Rönnquist ]
  * Remove lintian override, tag hyphen-used-as-minus-sign doesn't exist
    any longer
  * Remove not installed files (They are already installed from a
    different place)
  * Remove license file (Not needed to install from here)

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 21 Dec 2020 21:57:33 +0100

allegro4.4 (2:4.4.3.1-1) unstable; urgency=medium

  * New upstream version 4.4.3.1
  * Add Pristine-tar information to gbp.conf
  * Update patch to apply to updated allegro4.4
  * Remove patch fix_format_not_string_literal_error, applied upstream
  * Remove patch fix_endianness_spelling, applied upstream
  * Remove patch to build with newer mesa, applied upstream
  * Remove patch no_fix_aliases - applied upstream
  * Use updated allegro version in rules file
  * Update allegro version in install files
  * Update to Standards-Version 4.4.0 (No changes required)
  * Remove unused override manpage-has-errors-from-man
  * Update debian/watch to use github instead of sourceforge
  * Fix watch file
  * Install upstream CHANGES properly
  * Upgrade to debhelper compat level 12

 -- Andreas Rönnquist <gusnan@debian.org>  Wed, 21 Aug 2019 02:06:28 +0200

allegro4.4 (2:4.4.2-13) unstable; urgency=medium

  * Add patch fix_building_with_newer_mesa.patch
  * Add patch no_fix_alias.patch to remove defines of f*-variants of
    math functions, which conflict with newer glibc - you'll have to
    use fix*-variants instead (Closes: #915196)
  * Update Standards-Version to 4.2.1 (No changes required)

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 09 Dec 2018 01:00:11 +0100

allegro4.4 (2:4.4.2-12) unstable; urgency=medium

  * Use SOURCE_DATE_EPOCH, fixing reproducible build (Closes: #901587)

 -- Andreas Rönnquist <gusnan@debian.org>  Wed, 20 Jun 2018 02:25:22 +0200

allegro4.4 (2:4.4.2-11) unstable; urgency=medium

  [ Tobias Hansen ]
  * Update Vcs fields for salsa.

  [ Andreas Rönnquist ]
  * Removing specifying Priority: extra, package is correctly optional
  * Fix debian-rules-parses-dpkg-parsechangelog
  * Use debhelper compat 11
  * Use Standards-Version 4.1.4 (No change required)
  * Add a gbp.conf and use debian/master as Debian branch
  * Fix debian-rules-uses-unnecessary-dh-argument dh ... --parallel

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 11 Jun 2018 15:18:28 +0200

allegro4.4 (2:4.4.2-10) unstable; urgency=medium

  * Remove build-depend on oss4-dev on Linux, use ALSA instead
    (Closes: #852983)

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 28 Jan 2017 19:42:25 +0100

allegro4.4 (2:4.4.2-9) unstable; urgency=medium

  * Apply patch of Reiner Herrmann improving build reproducability.
    (Closes: #824140)
  * Remove conflict of liballegro4-dev with liballegro5-dev.
    (Closes: #824157)
  * Link against libm in compile_examples.sh.

 -- Tobias Hansen <thansen@debian.org>  Tue, 21 Jun 2016 20:48:35 +0100

allegro4.4 (2:4.4.2-8) unstable; urgency=medium

  * Make build reproducible, fixing examples/source.tar.gz sorted
    locale-dependant (Closes: #823879)
  * Fix vcs-field-uses-insecure-url lintian warning
  * Update Standards-Version to 3.9.8 - no changes required

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 10 May 2016 19:15:57 +0200

allegro4.4 (2:4.4.2-7) unstable; urgency=medium

  * Fix reproducability due to varying permission inside a tarball -
    Thanks to Reiner Herrmann (Closes: #803546)

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 31 Oct 2015 11:00:41 +0100

allegro4.4 (2:4.4.2-6) unstable; urgency=medium

  [ Andreas Rönnquist ]
  * Update to Standards Version 3.9.6 (No changes required)
  * Make builds reproducible - Thanks to Chris Lamb (Closes: #778231)
  * Migrate to @d.o e-mail address

  [ Tobias Hansen ]
  * Improve fix-manpages.patch

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 09 May 2015 00:19:35 +0200

allegro4.4 (2:4.4.2-5) unstable; urgency=low

  [ Tobias Hansen ]
  * Move the ALSA plugins from their own package liballegro4.4-plugin-alsa
    to liballegro4.4. (Closes: #726648)
  * Remove transitional dummy package liballegro-doc.
  * Remove options for debug and profile libraries from allegro-config.
    (Closes: #410072)

