=== debian/watch ===
version=4

opts="\
    compression=gz, \
    dversionmangle=s/\+(?:4.[\d\.]+)\/allegro-(4\.\d?[02468]\.\d[\.\d]*)//, \
    downloadurlmangle=s#/tag/#/download/#;s#(v?(4\.\d?[02468]\.\d[\.\d]*))$#$1/allegro-$2.tar.gz#, \
    filenamemangle=s#v?(4\.\d?[02468]\.\d[\.\d]*)#allegro-$1.tar.gz#" \
https://github.com/liballeg/allegro5/tags .*/releases/tag/v?(4\.\d?[02468]\.\d[\.\d]*)
